# BDisposal.jl

Non parametric efficiency and productivity analysis through the _B-disposal_ scheme

[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://sylvaticus.github.io/BDisposal.jl/stable)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://sylvaticus.github.io/BDisposal.jl/dev)
[![Build status (Github Actions)](https://github.com/sylvaticus/BDisposal.jl/workflows/CI/badge.svg)](https://github.com/sylvaticus/BDisposal.jl/actions)
[![codecov.io](http://codecov.io/github/sylvaticus/BDisposal.jl/coverage.svg?branch=main)](http://codecov.io/github/sylvaticus/BDisposal.jl?branch=main)

<img src="docs/src/assets//BDisposal_logo.png" width="300" valign="top"  ALIGN="left"  />

The BDisposal package proposes a serie of environmental efficiency and productivity algorithms for non-parametric modelling when we relax the disposability assumption of some of the outputs and/or inputs (e.g. pollution). These efficiency and productivity measures are implemented through convex and non-convex [Data Envelopment Analysis (DEA)](https://en.wikipedia.org/wiki/Data_envelopment_analysis) (aka _Frontier Efficiency Analysis_) models.

For installation and usage instructions, examples and API please refer to the official documentation:
- [**Stable**](https://sylvaticus.github.io/BDisposal.jl/stable): documentation relative to the stable version of BDisposal.jl
- [**Development**](https://sylvaticus.github.io/BDisposal.jl/dev): documentation relative to the development version

<br clear="left" />

## Acknowledgements

The development of this package at the _Bureau d'Economie Théorique et Appliquée_ (BETA, Nancy) was supported by the French National Research Agency through the [Laboratory of Excellence ARBRE](http://mycor.nancy.inra.fr/ARBRE/), a part of the “Investissements d'Avenir” Program (ANR 11 – LABX-0002-01).


[![BLogos](docs/src/assets/logos_betaumr.png)](http://www.beta-umr7522.fr/)
